> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drivly.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Find paginated Service Quotes

> Find paginated Service Quotes

<Accordion title="Usage with the Drivly SDK" icon="code-simple">
  <Note>
    <span class="font-medium">Make sure you install our SDK first. You can find out how, and more [here](/commerce/sdk).</span>
  </Note>

  ```typescript theme={null}
  import { SDK } from '@drivly/commerce'
  import type { serviceQuotes } from '@drivly/commerce'

  const sdk = new SDK(...)

  const serviceQuotes = await sdk.serviceQuotes.find(): Promise<serviceQuotes[]>
  ```
</Accordion>


## OpenAPI

````yaml get /serviceQuotes
openapi: 3.0.3
info:
  title: Drivly Commerce API
  version: 1.0.0
  description: API for the Driv.ly experience
  contact:
    name: Drivly
    url: https://driv.ly
    email: support@driv.ly
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /serviceQuotes:
    get:
      tags:
        - serviceQuotes
      summary: Find paginated Service Quotes
      description: Find paginated Service Quotes
      parameters:
        - name: depth
          in: query
          description: number of levels to automatically populate relationships and uploads
          schema:
            type: number
        - name: locale
          in: query
          description: retrieves document(s) in a specific locale
          schema:
            type: string
        - name: fallback-locale
          in: query
          description: specifies a fallback locale if no locale value exists
          schema:
            type: string
        - name: sort
          in: query
          description: sort by field
          schema:
            type: string
        - name: where
          in: query
          description: >-
            pass a where query to constrain returned documents (complex type,
            see documentation)
          style: deepObject
          explode: true
          allowReserved: true
          schema:
            $ref: '#/components/schemas/where'
        - name: limit
          in: query
          description: limit the returned documents to a certain number
          schema:
            type: number
        - name: page
          in: query
          description: get a specific page of documents
          schema:
            type: number
      responses:
        '200':
          $ref: '#/components/responses/serviceQuotessResponse'
      security:
        - apiKeyAuth: []
components:
  schemas:
    where:
      title: Where clause
      type: object
      additionalProperties:
        anyOf:
          - type: object
            properties:
              equals: {}
            additionalProperties: false
          - type: object
            properties:
              not_equals: {}
            additionalProperties: false
          - type: object
            properties:
              greater_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              greater_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              less_than_equal:
                anyOf:
                  - type: string
                  - type: number
            additionalProperties: false
          - type: object
            properties:
              like:
                type: string
            additionalProperties: false
          - type: object
            properties:
              contains:
                type: string
            additionalProperties: false
          - type: object
            properties:
              in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              not_in:
                type: string
            additionalProperties: false
          - type: object
            properties:
              exists:
                type: boolean
            additionalProperties: false
          - type: object
            properties:
              near:
                type: string
            additionalProperties: false
      properties:
        or:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
        and:
          type: array
          items:
            title: Where clause
            type: object
            additionalProperties:
              anyOf:
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties: {}
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    greater_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    less_than_equal:
                      anyOf:
                        - type: string
                        - type: number
                  additionalProperties: false
                - type: object
                  properties:
                    like:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    contains:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    not_in:
                      type: string
                  additionalProperties: false
                - type: object
                  properties:
                    exists:
                      type: boolean
                  additionalProperties: false
                - type: object
                  properties:
                    near:
                      type: string
                  additionalProperties: false
            properties:
              or:
                type: array
              and:
                type: array
            example:
              or:
                - color:
                    equals: mint
                - and:
                    - color:
                        equals: white
                    - featured:
                        equals: false
      example:
        or:
          - color:
              equals: mint
          - and:
              - color:
                  equals: white
              - featured:
                  equals: false
    serviceQuotess:
      type: object
      title: Service Quotes
      properties:
        docs:
          type: array
          items:
            additionalProperties: false
            title: ServiceQuote
            type: object
            properties:
              name:
                type: string
                nullable: true
              type:
                items:
                  enum:
                    - Vehicle Service Contract
                    - Pre-Paid Maintenance
                    - Long Haul Transport
                    - Last Mile Delivery
                    - Pre-Purchase Inspection
                    - Post Sale Inspection
                    - Condition Inspection
                    - Safety Inspection
                    - Mechanical Inspection
                    - Wash And Detail
                  type: string
                type: array
                nullable: true
              status:
                enum:
                  - Quoted
                  - Pending
                  - In Review
                  - Active
                  - Dispatched
                  - En Route
                  - Complete
                  - Hold
                  - Cancel
                  - Error
                type: string
                nullable: true
              serviceProvider:
                items:
                  type: number
                type: array
                nullable: true
              quoteId:
                type: string
                nullable: true
              partner:
                type: number
                nullable: true
              serviceOrders:
                type: string
                nullable: true
              checkoutLink:
                type: string
                nullable: true
              deal:
                type: number
                nullable: true
              vehicle:
                type: number
                nullable: true
              rush:
                type: boolean
                nullable: true
              etaMin:
                type: string
                nullable: true
              etaMax:
                type: string
                nullable: true
              distance:
                type: number
                nullable: true
              expires:
                type: string
                nullable: true
              cost:
                type: string
                nullable: true
              price:
                type: string
                nullable: true
              margin:
                type: string
                nullable: true
              partnerProfitShare:
                type: string
                nullable: true
              partnerMargin:
                type: string
                nullable: true
              tenant:
                type: number
                nullable: true
              transportServiceOrders:
                type: string
                nullable: true
              transportServiceOrders2:
                items:
                  type: number
                type: array
                nullable: true
              updatedAt:
                type: string
              createdAt:
                type: string
            required:
              - id
              - updatedAt
              - createdAt
        totalDocs:
          type: number
        limit:
          type: number
        totalPages:
          type: number
        page:
          type: number
        pagingCounter:
          type: number
        hasPrevPage:
          type: boolean
        hasNextPage:
          type: boolean
        prevPage:
          type: number
        nextPage:
          type: number
      required:
        - docs
        - totalDocs
        - limit
        - totalPages
        - page
        - pagingCounter
        - hasPrevPage
        - hasNextPage
  responses:
    serviceQuotessResponse:
      description: ok
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/serviceQuotess'
  securitySchemes:
    apiKeyAuth:
      in: header
      type: apiKey
      name: Authorization

````